package cn.com.ty.lift.enterprise.custom.dao.entity;

import cn.com.xwy.boot.controller.BaseRequestModel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 物管安全证表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PropertyCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId(value = "user_id",type = IdType.AUTO)
    private Long userId;

    /**
     * 证书编号
     */
    @TableField("certificate_code")
    private String certificateCode;

    /**
     * 档案编号
     */
    @TableField("archives_code")
    private String archivesCode;

    /**
     * 发证机关
     */
    @TableField("issuing_authority")
    private String issuingAuthority;

    /**
     * 有效日期
     */
    @TableField("active_date")
    private LocalDate activeDate;

    /**
     * 证书图片1
     */
    @TableField("certificate1")
    private String certificate1;

    /**
     * 证书图片2
     */
    @TableField("certificate2")
    private String certificate2;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 物管安全证id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


}
