package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.enterprise.oa.entity.Announcement;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.service.AnnouncementService;
import cn.com.ty.lift.enterprise.oa.service.AttendanceService;
import cn.com.xwy.boot.web.dto.RestResponse;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * 公司公告
 */
@Slf4j
@RestController
@RequestMapping("announcement")
public class AnnouncementController {
    @Autowired
    private AnnouncementService announcementService;

    /**
     * @param
     * @return
     * @description
     * @date 2019/11/27 10:11
     */
    @PostMapping("findOne")
    public RestResponse<Announcement> findOne(Long id) {
        log.info("id: " + id);
        Announcement entity = announcementService.findOne(id);
        return RestResponse.ok(entity);
    }

    @PostMapping("list")
    public RestResponse<IPage<Announcement>> list(int pageNum, int pageSize, Long mtCompanyId){
        IPage<Announcement> results = announcementService.selectByCondition(pageNum,pageSize,mtCompanyId);
        if(null == results){
            return RestResponse.error("查询异常");
        }
        return RestResponse.ok(results);
    }

    @PostMapping("add")
    public RestResponse<Integer> add(Announcement entity){
        if(null == entity){
            return RestResponse.error("缺少参数");
        }
        int result = announcementService.insert(entity);

        return RestResponse.ok(result);
    }

    @PostMapping("delete")
    public RestResponse<Integer> delete(Long id){
        int result = announcementService.deleteByPrimaryKey(id);
        return RestResponse.ok(result);
    }
}
