package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.entity.LiftCertificate;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateMapper;
import cn.com.xwy.boot.service.impl.BaseServiceImpl;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 业务实现层 - 表：lift_certificate
 * @since 2019-11-25 17:53:19
 */
@Service("liftCertificateService")
public class LiftCertificateService {

	@Autowired
	private LiftCertificateMapper liftCertificateMapper;

	public LiftCertificate findOne(Long id){
		return liftCertificateMapper.selectByPrimaryKey(id);
	}

	public Integer deleteOne(Long id){
	    return liftCertificateMapper.deleteByPrimaryKey(id);
    }

    public Integer insert(LiftCertificate entity){
	    return liftCertificateMapper.insert(entity);
    }

    public IPage<LiftCertificate> selectByTypeCondition(int pageNum,int pageSize,String certificateType,String name,Integer status){
		IPage<LiftCertificate> page = new Page<>(pageNum,pageSize);
        List<LiftCertificate> lists = liftCertificateMapper.selectByTypeCondition(page,certificateType,name,status);
        page.setRecords(lists);
        return page;
    }

    public int updateByPrimaryKey(LiftCertificate record){
    	return liftCertificateMapper.updateByPrimaryKey(record);
	}

	public int updateByPrimaryKeySelective(LiftCertificate record){
    	return liftCertificateMapper.updateByPrimaryKeySelective(record);
	}

	public int updateAudit(Long id,Integer status){
		return liftCertificateMapper.updateAudit(id,status);
	}

}