package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserRole;
import cn.com.ty.lift.system.user.dao.entity.model.RoleRequest;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 角色接口
 */
public interface IRoleService {
    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param roleRequest 角色请求对象
     * @return
     */
    RestResponse list(RoleRequest roleRequest);

    /**
     * @description 添加角色
     * @date 2019/11/27 10:03 AM
     * @param roleRequest 角色请求对象
     * @return
     */
    RestResponse addRole(RoleRequest roleRequest);

    /**
     * @description 更新角色
     * @date 2019/11/27 10:03 AM
     * @param roleRequest 角色请求对象
     * @return
     */
    RestResponse updateRole(RoleRequest roleRequest);

    /**
     * @description 删除角色信息
     * @date 2019/11/27 10:03 AM
     * @param roleRequest 角色请求对象
     * @return
     */
    RestResponse deleteRole(RoleRequest roleRequest);

    /**
     * @description 通过用户id，公司id获取用户菜单信息
     * @date 2019/11/27 10:03 AM
     * @param userRole 用户角色信息
     * @return
     */
    RestResponse getUserMenus(UserRole userRole);
}
