package cn.com.ty.lift.system.utils;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.commons.beanutils.ConvertUtils;
import org.apache.commons.beanutils.converters.DateConverter;

import java.lang.reflect.InvocationTargetException;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 实体对象工具类
 */
public class PojoUtils {

    private static final String GET_METHOD_PREFIX = "get";//get方法名前缀
    private static final String SET_METHOD_PREFIX = "set";//set方法名前缀

    public static void pojoCopy(Object dest, Object orig){
        try {
            //info:进行beans拷贝，解决时间出现了空值而无法进行复制
            ConvertUtils.register(new DateConverter(null), Date.class);
            ConvertUtils.register(new DateConverter(null), BigDecimal.class);
            BeanUtils.copyProperties(dest, orig);
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        }
    }

    /**
     * 获取属性get方法
     *@author huangy
     *@param attrName
     *@return String
     *@throws
     */
    public static String attrGetMethodName(String attrName) {
        return attrMethodName(GET_METHOD_PREFIX, attrName);
    }

    /**
     * 获取属性set方法
     *@author huangy
     *@param attrName
     *@return String
     *@throws
     */
    public static String attrSetMethodName(String attrName) {
        return attrMethodName(SET_METHOD_PREFIX, attrName);
    }

    /**
     * 获取属性对应方法 get，set
     *@author huangy
     *@date 2018年12月28日
     *@param methodNamePrefix
     *@param attrName
     *@return String
     *@throws
     */
    private static String attrMethodName(String methodNamePrefix,String attrName) {
        return methodNamePrefix + attrName.substring(0, 1).toUpperCase() + attrName.substring(1);
    }
}
